template = testcase
title = CSP All sites
description = Check that a filter using the $csp filter option is working as expected.

<section class="testcase-panel">
  {{ heading("All sites") }}
  <p>Test that a filter using the $csp filter option works in all sites.</p>
  <div class="testcase-area">
    <div class="testcase-examplecontent">Example Content</div>
    <div id="block-javascript" class="testcase-nostyle"></div>
  </div>
  <h3>Steps</h3>
  <ul class="testcase-steps">
    <li>Add filter #1.</li>
    <li>Refresh page.</li>
    <li>The red image should be blocked and the space collapsed.</li>
  </ul>
  <h3>Filters</h3>
  <ul class="testcase-filters">
    <li><pre>*$csp=script-src 'none'</pre></li>
  </ul>
  <h3>Notes</h3>
  <p>This filter blocks all src javascript from any webpage. You may want to disable it after testing this page.</p>
</section>

<script>
  "use strict";

  let image = document.createElement("img");
  image.src = "/testfiles/csp/image.png";
  image.setAttribute("data-expectedresult", "fail");
  document.getElementById("block-javascript").appendChild(image);
</script>
